
# InventoryPhysicalCount

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | A unique ID generated by Square for the [InventoryPhysicalCount](#type-inventoryphysicalcount). |  [optional]
**referenceId** | **String** | An optional ID provided by the application to tie the [InventoryPhysicalCount](#type-inventoryphysicalcount) to an external system. |  [optional]
**catalogObjectId** | **String** | The Square generated ID of the [CatalogObject](#type-catalogobject) being tracked. |  [optional]
**catalogObjectType** | **String** | The [CatalogObjectType](#type-catalogobjecttype) of the [CatalogObject](#type-catalogobject) being tracked. Tracking is only supported for the &#x60;ITEM_VARIATION&#x60; type. |  [optional]
**state** | [**StateEnum**](#StateEnum) | The current [InventoryState](#type-inventorystate) for the related quantity of items. |  [optional]
**locationId** | **String** | The Square ID of the [Location](#type-location) where the related quantity of items are being tracked. |  [optional]
**quantity** | **String** | The number of items affected by the physical count as a decimal string. Fractional quantities are not supported. |  [optional]
**source** | [**SourceApplication**](SourceApplication.md) | Read-only information about the application that submitted the physical count. |  [optional]
**employeeId** | **String** | The Square ID of the [Employee](#type-employee) responsible for the physical count. |  [optional]
**occurredAt** | **String** | A client-generated timestamp in RFC 3339 format that indicates when the physical count took place. For write actions, the &#x60;occurred_at&#x60; timestamp cannot be older than 24 hours or in the future relative to the time of the request. |  [optional]
**createdAt** | **String** | A read-only timestamp in RFC 3339 format that indicates when Square received the physical count. |  [optional]


<a name="StateEnum"></a>
## Enum: StateEnum
Name | Value
---- | -----
CUSTOM | &quot;CUSTOM&quot;
IN_STOCK | &quot;IN_STOCK&quot;
SOLD | &quot;SOLD&quot;
RETURNED_BY_CUSTOMER | &quot;RETURNED_BY_CUSTOMER&quot;
RESERVED_FOR_SALE | &quot;RESERVED_FOR_SALE&quot;
SOLD_ONLINE | &quot;SOLD_ONLINE&quot;
ORDERED_FROM_VENDOR | &quot;ORDERED_FROM_VENDOR&quot;
RECEIVED_FROM_VENDOR | &quot;RECEIVED_FROM_VENDOR&quot;
IN_TRANSIT_TO | &quot;IN_TRANSIT_TO&quot;
NONE | &quot;NONE&quot;
WASTE | &quot;WASTE&quot;
UNLINKED_RETURN | &quot;UNLINKED_RETURN&quot;



