/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * V1Fee
 */

public class V1Fee {
  @JsonProperty("id")
  private String id = null;

  @JsonProperty("name")
  private String name = null;

  @JsonProperty("rate")
  private String rate = null;

  /**
   * Forthcoming
   */
  public enum CalculationPhaseEnum {
    FEE_SUBTOTAL_PHASE("FEE_SUBTOTAL_PHASE"),
    
    OTHER("OTHER"),
    
    FEE_TOTAL_PHASE("FEE_TOTAL_PHASE");

    private String value;

    CalculationPhaseEnum(String value) {
      this.value = value;
    }

    @Override
    public String toString() {
      return String.valueOf(value);
    }

    @JsonCreator
    public static CalculationPhaseEnum fromValue(String text) {
      for (CalculationPhaseEnum b : CalculationPhaseEnum.values()) {
        if (String.valueOf(b.value).equals(text)) {
          return b;
        }
      }
      return null;
    }
  }

  @JsonProperty("calculation_phase")
  private CalculationPhaseEnum calculationPhase = null;

  /**
   * The type of adjustment the fee applies to a payment. Currently, this value is TAX for all fees.
   */
  public enum AdjustmentTypeEnum {
    TAX("TAX");

    private String value;

    AdjustmentTypeEnum(String value) {
      this.value = value;
    }

    @Override
    public String toString() {
      return String.valueOf(value);
    }

    @JsonCreator
    public static AdjustmentTypeEnum fromValue(String text) {
      for (AdjustmentTypeEnum b : AdjustmentTypeEnum.values()) {
        if (String.valueOf(b.value).equals(text)) {
          return b;
        }
      }
      return null;
    }
  }

  @JsonProperty("adjustment_type")
  private AdjustmentTypeEnum adjustmentType = null;

  @JsonProperty("applies_to_custom_amounts")
  private Boolean appliesToCustomAmounts = null;

  @JsonProperty("enabled")
  private Boolean enabled = null;

  /**
   * Whether the fee is ADDITIVE or INCLUSIVE.
   */
  public enum InclusionTypeEnum {
    ADDITIVE("ADDITIVE"),
    
    INCLUSIVE("INCLUSIVE");

    private String value;

    InclusionTypeEnum(String value) {
      this.value = value;
    }

    @Override
    public String toString() {
      return String.valueOf(value);
    }

    @JsonCreator
    public static InclusionTypeEnum fromValue(String text) {
      for (InclusionTypeEnum b : InclusionTypeEnum.values()) {
        if (String.valueOf(b.value).equals(text)) {
          return b;
        }
      }
      return null;
    }
  }

  @JsonProperty("inclusion_type")
  private InclusionTypeEnum inclusionType = null;

  /**
   * In countries with multiple classifications for sales taxes, indicates which classification the fee falls under. Currently relevant only to Canadian merchants.
   */
  public enum TypeEnum {
    CA_GST("CA_GST"),
    
    CA_HST("CA_HST"),
    
    CA_PST("CA_PST"),
    
    CA_QST("CA_QST"),
    
    JP_CONSUMPTION_TAX("JP_CONSUMPTION_TAX"),
    
    CA_PEI_PST("CA_PEI_PST"),
    
    US_SALES_TAX("US_SALES_TAX"),
    
    OTHER("OTHER");

    private String value;

    TypeEnum(String value) {
      this.value = value;
    }

    @Override
    public String toString() {
      return String.valueOf(value);
    }

    @JsonCreator
    public static TypeEnum fromValue(String text) {
      for (TypeEnum b : TypeEnum.values()) {
        if (String.valueOf(b.value).equals(text)) {
          return b;
        }
      }
      return null;
    }
  }

  @JsonProperty("type")
  private TypeEnum type = null;

  public V1Fee id(String id) {
    this.id = id;
    return this;
  }

   /**
   * The fee's unique ID.
   * @return id
  **/
  @ApiModelProperty(value = "The fee's unique ID.")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public V1Fee name(String name) {
    this.name = name;
    return this;
  }

   /**
   * The fee's name.
   * @return name
  **/
  @ApiModelProperty(value = "The fee's name.")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public V1Fee rate(String rate) {
    this.rate = rate;
    return this;
  }

   /**
   * The rate of the fee, as a string representation of a decimal number. A value of 0.07 corresponds to a rate of 7%.
   * @return rate
  **/
  @ApiModelProperty(value = "The rate of the fee, as a string representation of a decimal number. A value of 0.07 corresponds to a rate of 7%.")
  public String getRate() {
    return rate;
  }

  public void setRate(String rate) {
    this.rate = rate;
  }

  public V1Fee calculationPhase(CalculationPhaseEnum calculationPhase) {
    this.calculationPhase = calculationPhase;
    return this;
  }

   /**
   * Forthcoming
   * @return calculationPhase
  **/
  @ApiModelProperty(value = "Forthcoming")
  public CalculationPhaseEnum getCalculationPhase() {
    return calculationPhase;
  }

  public void setCalculationPhase(CalculationPhaseEnum calculationPhase) {
    this.calculationPhase = calculationPhase;
  }

  public V1Fee adjustmentType(AdjustmentTypeEnum adjustmentType) {
    this.adjustmentType = adjustmentType;
    return this;
  }

   /**
   * The type of adjustment the fee applies to a payment. Currently, this value is TAX for all fees.
   * @return adjustmentType
  **/
  @ApiModelProperty(value = "The type of adjustment the fee applies to a payment. Currently, this value is TAX for all fees.")
  public AdjustmentTypeEnum getAdjustmentType() {
    return adjustmentType;
  }

  public void setAdjustmentType(AdjustmentTypeEnum adjustmentType) {
    this.adjustmentType = adjustmentType;
  }

  public V1Fee appliesToCustomAmounts(Boolean appliesToCustomAmounts) {
    this.appliesToCustomAmounts = appliesToCustomAmounts;
    return this;
  }

   /**
   * If true, the fee applies to custom amounts entered into Square Register that are not associated with a particular item.
   * @return appliesToCustomAmounts
  **/
  @ApiModelProperty(value = "If true, the fee applies to custom amounts entered into Square Register that are not associated with a particular item.")
  public Boolean getAppliesToCustomAmounts() {
    return appliesToCustomAmounts;
  }

  public void setAppliesToCustomAmounts(Boolean appliesToCustomAmounts) {
    this.appliesToCustomAmounts = appliesToCustomAmounts;
  }

  public V1Fee enabled(Boolean enabled) {
    this.enabled = enabled;
    return this;
  }

   /**
   * If true, the fee is applied to all appropriate items. If false, the fee is not applied at all.
   * @return enabled
  **/
  @ApiModelProperty(value = "If true, the fee is applied to all appropriate items. If false, the fee is not applied at all.")
  public Boolean getEnabled() {
    return enabled;
  }

  public void setEnabled(Boolean enabled) {
    this.enabled = enabled;
  }

  public V1Fee inclusionType(InclusionTypeEnum inclusionType) {
    this.inclusionType = inclusionType;
    return this;
  }

   /**
   * Whether the fee is ADDITIVE or INCLUSIVE.
   * @return inclusionType
  **/
  @ApiModelProperty(value = "Whether the fee is ADDITIVE or INCLUSIVE.")
  public InclusionTypeEnum getInclusionType() {
    return inclusionType;
  }

  public void setInclusionType(InclusionTypeEnum inclusionType) {
    this.inclusionType = inclusionType;
  }

  public V1Fee type(TypeEnum type) {
    this.type = type;
    return this;
  }

   /**
   * In countries with multiple classifications for sales taxes, indicates which classification the fee falls under. Currently relevant only to Canadian merchants.
   * @return type
  **/
  @ApiModelProperty(value = "In countries with multiple classifications for sales taxes, indicates which classification the fee falls under. Currently relevant only to Canadian merchants.")
  public TypeEnum getType() {
    return type;
  }

  public void setType(TypeEnum type) {
    this.type = type;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    V1Fee v1Fee = (V1Fee) o;
    return Objects.equals(this.id, v1Fee.id) &&
        Objects.equals(this.name, v1Fee.name) &&
        Objects.equals(this.rate, v1Fee.rate) &&
        Objects.equals(this.calculationPhase, v1Fee.calculationPhase) &&
        Objects.equals(this.adjustmentType, v1Fee.adjustmentType) &&
        Objects.equals(this.appliesToCustomAmounts, v1Fee.appliesToCustomAmounts) &&
        Objects.equals(this.enabled, v1Fee.enabled) &&
        Objects.equals(this.inclusionType, v1Fee.inclusionType) &&
        Objects.equals(this.type, v1Fee.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, rate, calculationPhase, adjustmentType, appliesToCustomAmounts, enabled, inclusionType, type);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class V1Fee {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    rate: ").append(toIndentedString(rate)).append("\n");
    sb.append("    calculationPhase: ").append(toIndentedString(calculationPhase)).append("\n");
    sb.append("    adjustmentType: ").append(toIndentedString(adjustmentType)).append("\n");
    sb.append("    appliesToCustomAmounts: ").append(toIndentedString(appliesToCustomAmounts)).append("\n");
    sb.append("    enabled: ").append(toIndentedString(enabled)).append("\n");
    sb.append("    inclusionType: ").append(toIndentedString(inclusionType)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

